/*====================ÉCOLE POLYTECHNIQUE DE MONTRÉAL============================

	NOM DU FICHIER :CTrappe.h

	DESCRIPTION :	Déclaration des fonctions de la classe Trappe

	AUTEUR : Martin Bisson, Anne-Marie Buki, Mylene Denis & Jean-Francois Pérusse

	DATE DE CRÉATION : 2004-3-16

	MISES À JOUR :

===============================================================================*/
#ifndef CTRAPPE_H
#define CTRAPPE_H

#include "CObjet.h"
#include "CPngTexture.h"


class CTrappe : public CObjet
{
  static CPngTexture TextureTrappe;
  float rayon;
  float coef;
  
public:
    CTrappe(const CVector3f& LaPosi, type_jeuobjet Type, float r = 0.35f, float lecoef = 0.995f)
	: CObjet(LaPosi, Type) { rayon = r; coef = lecoef; }
    ~CTrappe() {};
    
    virtual void AfficheGL() const;
    virtual bool isCollision(CBalle *balle) const;
    static bool ChargeTextures();
    static bool DechargeTextures();
    virtual void UpdateAnimations() const {};  
};
#endif //CTRAPPE_H
